#### D.15.29.12 beilinsonWindow

Procedure from library `tateProdCplxNegGrad.lib` (see tateProdCplxNegGrad_lib).

Usage:
  beilinsonWindow(T); T multigradedcomplex

Purpsose:
  compute the subquotient complex of T consisting of summands generated in degrees 0 <= a <= n

Assume:
  T is a multigraded complex of free E-modules

Return:
  multigradedcomplex, the Beilinson window of T

Note:
  The returned summands are the only ones that contribute to the Beilinson monad.

Example:

    LIB "tateProdCplxNegGrad.lib";
    intvec f = 1,1;
    def (S,E) = productOfProjectiveSpaces(f);
    intvec low = -3,-3;
    intvec high = 3,3;
    setring(S);
    module M = 0;
    intmat MGrading[2][1] = -1,-1;
    M = setModuleGrading(M,MGrading);
    multigradedcomplex tate;
    (E,tate) = tateResolution(M,low,high);
    setring(E);
    multigradedcomplex W = beilinsonWindow(tate);
    W;
    ==> 0  <--  E^4  <--  E^4  <--  E^1  <--  0
    ==> -1      0         1         2         3
    ==>
    intvec c = 1,1,1;
    intvec low2 = 0,0,0;
    intvec high2 = 0,1,0;
    def (S2,E2) = productOfProjectiveSpaces(c);
    setring(S2);
    module M2 = 0;
    intmat gradeM[3][1] = -1,-1,-1;
    M2 = setModuleGrading(M2,gradeM);
    multigradedcomplex tate2;
    (E2,tate2) = tateResolution(M2,low2,high2);
    setring(E2);
    multigradedcomplex W2 = beilinsonWindow(tate2);
    W2;
    ==> 0  <--  E^8
    ==> -1      0
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.